KDE 4.7 PyKDE API Reference

- KDE's Python API

# Quaternion Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

## Methods
| __init__ (self)
| __init__ (self, float w, float x, float y, float z)
| getSpherical (self, float lon, float lat)
Marble.Quaternion | inverse (self)
| nlerp (self, Marble.Quaternion q1, Marble.Quaternion q2, float t)
| normalize (self)
Marble.Quaternion | operator * (self, Marble.Quaternion q)
Marble.Quaternion | operator *= (self, Marble.Quaternion q)
bool | operator == (self, Marble.Quaternion q)
float | pitch (self)
float | roll (self)
| rotateAroundAxis (self, Marble.Quaternion q)
| slerp (self, Marble.Quaternion q1, Marble.Quaternion q2, float t)
float | yaw (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | float | w,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |  |

getSpherical | ( | self, |
|  | float | lon,
|  | float | lat
| ) |  |  |

Marble.Quaternion inverse | ( |  | self ) |

nlerp | ( | self, |
|  | Marble.Quaternion | q1,
|  | Marble.Quaternion | q2,
|  | float | t
| ) |  |  |

normalize | ( |  | self ) |

Marble.Quaternion operator * | ( | self, |
|  | Marble.Quaternion | q
| ) |  |  |

Marble.Quaternion operator *= | ( | self, |
|  | Marble.Quaternion | q
| ) |  |  |

bool operator == | ( | self, |
|  | Marble.Quaternion | q
| ) |  |  |

float pitch | ( |  | self ) |

float roll | ( |  | self ) |

rotateAroundAxis | ( | self, |
|  | Marble.Quaternion | q
| ) |  |  |

slerp | ( | self, |
|  | Marble.Quaternion | q1,
|  | Marble.Quaternion | q2,
|  | float | t
| ) |  |  |

float yaw | ( |  | self ) |